
/*
 * Copyright 2007 Martin Koegler <mkoegler@auto.tuwien.ac.at>

 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.

 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.

 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

package tuwien.auto.eibdcl.struct;

import tuwien.auto.eicl.struct.cemi.EIB_Address;


public class GroupPacket implements Packet {

    private EIB_Address src;
    private EIB_Address dest;
    private byte[] data;


    public GroupPacket (EIB_Address src, EIB_Address dest, byte[] data)
    {
	this.src = src;
	this.dest = dest;
	this.data = data;
    }

    public EIB_Address getDestinationAddress()
    {
	return dest;
    }

    public EIB_Address getSourceAddress()
    {
	return src;
    }

    public byte[] getData()
    {
	return data;
    }

}
