/*
 * Copyright (C) 2005 Bernhard Erb
 
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package tuwien.auto.eibddemo.ui;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

import tuwien.auto.eibdcl.*;

/**
 * <p>
 * Title:
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Copyright: Copyright (c) 2005
 * </p>
 * <p>
 * Company:
 * </p>
 *  
 * @author not attributable
 * @version 1.0
 */

public class Dialog_Connect extends JDialog {
    public static final long serialVersionUID = 1;

    private JButton b_Cancel = new JButton();

    private JComboBox cb_Host = new JComboBox();

    private JButton b_Connect = new JButton();

    private JLabel l_host = new JLabel();

    private JLabel l_Port = new JLabel();

    private JTextField tfPort = new JTextField();

    public GroupConnection tunnel;

    public Dialog_Connect(Main_Frame frame, String title, boolean modal) {
        super(frame, title, modal);
        try {
            init();
        } catch (Exception ex) {
            Main_Frame.showException(ex.getMessage());
        }
    }

    public Dialog_Connect() {
        this(null, "", false);
    }

    private void init() throws Exception {
        this.getContentPane().setLayout(null);
        this.setSize(311 + 20, 176 + 32);
        l_host.setText("Host");
        l_host.setBounds(new Rectangle(12, 10, 40, 20));
        cb_Host.setEditable(true);
        cb_Host.setToolTipText("example 192.168.0.1");
        cb_Host.setBounds(60 + 20, 10, 228, 20);

        l_Port.setText("Port");
        l_Port.setBounds(new Rectangle(12, 40, 40, 20));
        tfPort.setText("6720");
        tfPort.setBounds(60 + 20, 40, 100, 20);

        b_Connect.setBounds(190, 72 + 32, 100, 20);
        b_Connect.setText("Connect");
        b_Connect.addActionListener(new DialogConnect_Connect_actionAdapter(this));

        b_Cancel.setBounds(190, 117 + 32, 100, 20);
        b_Cancel.setText("Cancel");
        b_Cancel.addActionListener(new DialogConnect_Cancel_actionAdapter(this));

        this.getContentPane().add(l_host, null);
        this.getContentPane().add(cb_Host, null);
        this.getContentPane().add(b_Cancel, null);
        this.getContentPane().add(b_Connect, null);
        this.getContentPane().add(l_Port, null);
        this.getContentPane().add(tfPort, null);
    }

    public void Connect_actionPerformed(ActionEvent e) {
        try {
	    tunnel = new GroupConnection(cb_Host.getSelectedItem().toString(), Integer.valueOf(tfPort.getText()).intValue());
            this.dispose();
        } catch (Exception ex) {
            Main_Frame.showException(ex.getMessage());
        }

    }

}

class DialogConnect_Cancel_actionAdapter implements ActionListener {
    Dialog_Connect conni;

    DialogConnect_Cancel_actionAdapter(Dialog_Connect adaptee) {
        conni = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        conni.dispose();
    }
}

class DialogConnect_Connect_actionAdapter implements ActionListener {
    Dialog_Connect conni;

    DialogConnect_Connect_actionAdapter(Dialog_Connect adaptee) {
        conni = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        conni.Connect_actionPerformed(e);
    }
}
